if ~defined gHep
extrn gHep:dword
end if

macro realloc mem,size {
	invoke HeapReAlloc,[gHep],0,mem,size
}

macro free mem {
	invoke HeapFree,[gHep],0,mem
}

macro malloc size {
	invoke HeapAlloc,[gHep],0,size
}

macro mmxalloc size {
	mov eax,size
	add eax,7
	and eax,NOT 7
	invoke HeapAlloc,[gHep],0,eax
}

;if used XRandomInit
extrn _XRandomInit:dword
XRandomInit equ _XRandomInit
;end if
;if used XRandom
extrn _XRandom:dword
XRandom equ _XRandom
;end if
;if used XIRandom
extrn _XIRandom:dword
XIRandom equ _XIRandom
;end if
;if used XBRandom
extrn _XBRandom:dword
XBRandom equ _XBRandom
;end if

macro srand seed {
	ccall XRandomInit,seed
}

macro irand low,high {
	ccall XIRandom,low,high
}

macro rand {
	call XRandom
}

macro brand {
	call XBRandom
}